Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.hmm
Interface State

All Known Subinterfaces:
  DifferentiableState, SamplingState, TrainableState

All Known Implementing Classes:
  SimpleDifferentiableState, SimpleSamplingState, SimpleState

    public interface State

This interface declares the methods of any state used in a hidden Markov model.

Author:
  Jan Grau, Jens Keilwagen, Michael Scharfe
See Also:
  `AbstractHMM`

Method Summary
`String` | `getEmissionType()` Returns a `String` indentifier for the type of this state.
`String` | `getGraphvizNodeOptions(double weight, double maxWeight, NumberFormat nf)` This method returns a `String` representation of the node options that can be used in Graphviz to create the node for this state.
`double` | `getLogScoreFor(int startPos, int endPos, Sequence seq)` This method returns the logarithm of the score for a given sequence with given start and end position.
`boolean` | `isSilent()` This method returns whether a state is silent or not.

Method Detail

### getLogScoreFor

    double getLogScoreFor(int startPos,
                          int endPos,
                          Sequence seq)
                          throws WrongLengthException,
                                 OperationNotSupportedException

  This method returns the logarithm of the score for a given sequence with given start and end position. The method provides the basics for quantifying emission probability/density.

  Parameters:
    `startPos` - the start position within the sequence(s)
    `endPos` - the end position within the sequence(s)
    `seq` - the sequence(s)
  Returns:
    the logarithm of score for the given sequence(s)
  Throws:
    `WrongLengthException` - if the length can not be modeled
    `OperationNotSupportedException` - if the reverse complement of the sequence can not be computed

### getGraphvizNodeOptions

    String getGraphvizNodeOptions(double weight,
                                  double maxWeight,
                                  NumberFormat nf)

  This method returns a `String` representation of the node options that can be used in Graphviz to create the node for this state.

  Parameters:
    `weight` - for state
    `maxWeight` - the maximal weight for the state
    `nf` - the `NumberFormat` for the output, can be `null`
  Returns:
    `String` representation of the state

### isSilent

    boolean isSilent()

  This method returns whether a state is silent or not.

  Returns:
    `true` if the state is silent, otherwise `false`
  See Also:
    `SilentEmission`

### getEmissionType

    String getEmissionType()

  Returns a `String` indentifier for the type of this state.

  Returns:
    the identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD